Skip to main content
PATCH
/
api
/
storage_units
/
{id}
Update a storage unit
curl --request PATCH \
  --url https://clarus-api.com/api/storage_units/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Clarus-Subdomain: <api-key>' \
  --data '
{
  "data": {
    "type": "storage_units",
    "attributes": {
      "storage_unit_type_id": 123,
      "reference": "<string>",
      "location_id": 123,
      "string1": "<string>",
      "string2": "<string>",
      "string3": "<string>",
      "string4": "<string>",
      "string5": "<string>"
    }
  }
}
'
{
  "data": {
    "id": 123,
    "type": "storage_units",
    "attributes": {
      "storage_unit_type_id": 123,
      "reference": "<string>",
      "location_id": 123,
      "string1": "<string>",
      "string2": "<string>",
      "string3": "<string>",
      "string4": "<string>",
      "string5": "<string>"
    }
  }
}

Request Structure

{
  "data": {
    "type": "storage_units",
    "attributes": {
      "reference": "PLT-2024-001-REV",
      "location_id": 789
    }
  }
}

Key Fields

FieldRequiredDescription
referenceNoUpdated reference
location_idNoNew location for the unit

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.

X-Clarus-Subdomain
string
header
required

The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.

Path Parameters

id
integer
required

The unique identifier of the storage unit to update

Body

application/json
data
object
required

Response

Storage unit updated successfully

data
object